package com.heyu.api.data.service.user;
/**
* <p>
* 用户控制涂鸦设备指令表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.user.UserHandlingDeviceEntity;
public interface UserHandlingDeviceService extends IService<UserHandlingDeviceEntity> {



	UserHandlingDeviceEntity selectUserHandlingDeviceById(Long id);


	Long insertUserHandlingDevice(UserHandlingDeviceEntity userHandlingDevice);


	Long insertOrUpdateUserHandlingDevice(UserHandlingDeviceEntity userHandlingDevice);


	int updateUserHandlingDeviceById(UserHandlingDeviceEntity userHandlingDevice);


	int updateCoverUserHandlingDeviceById(UserHandlingDeviceEntity userHandlingDevice);


	int deleteUserHandlingDeviceById(Long id);


}